Browse Source

Mise à jour firefox 24.6

arllinux 5 years ago
parent
commit
f0c3d7499d

BIN
firefox_24.5_lang/de-i686.xpi


firefox_24.5_lang/de-x86_64.xpi → firefox_24.6_lang/de-x86_64.xpi


firefox_24.5_lang/defaultlocale.js → firefox_24.6_lang/defaultlocale.js


BIN
firefox_24.5_lang/fr-i686.xpi


firefox_24.5_lang/fr-x86_64.xpi → firefox_24.6_lang/fr-x86_64.xpi


+ 118 - 0
firefox_24.6_lang/mozilla-firefox-l10n.SlackBuild

@@ -0,0 +1,118 @@
+#!/bin/sh
+
+# Slackware build script for mozilla-firefox-l10n
+
+# Written by Niki Kovacs <info@microlinux.fr)
+# 
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Modified by jpantinoux arllinux <sloteur@free.fr>
+
+
+PRGNAM=mozilla-firefox-l10n
+VERSION=${VERSION:-24.6.0}	 
+BUILD=${BUILD:-1}
+TAG=${TAG:-_arllinux}		
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i486 ;;
+    arm*) ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/arllinux}	
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}	
+
+URL="https://ftp.mozilla.org/pub/mozilla.org/firefox/releases"
+
+# Build translations for the following languages
+FOXLANGS="de fr"
+
+set -e # Exit on most errors
+
+for FOXLANG in $FOXLANGS; do
+
+	# Download tarball
+	if [ ! -r $FOXLANG.xpi ] ; then
+					wget -c --no-check-certificate -O ${FOXLANG}-$(uname -m).xpi \
+		      ${URL}/${VERSION}esr/linux-$(uname -m)/xpi/${FOXLANG}.xpi
+	fi
+
+	# Check tarball -> these .xpi files seem to be moving targets
+	# md5sum -c $FOXLANG-$(uname -m).xpi.md5
+
+done
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+for FOXLANG in $FOXLANGS; do
+	mkdir -p $PRGNAM-$VERSION/$FOXLANG
+	unzip $CWD/$FOXLANG-$(uname -m).xpi -d $PRGNAM-$VERSION/$FOXLANG
+	cd $PRGNAM-$VERSION/$FOXLANG
+	chown -R root:root .
+	find . \
+	 \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+	 -exec chmod 755 {} \; -o \
+	 \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+	 -exec chmod 644 {} \;
+	mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/firefox-$VERSION/browser/extensions/langpack-$FOXLANG@firefox.mozilla.org
+	cp -a * $PKG/usr/lib$LIBDIRSUFFIX/firefox-$VERSION/browser/extensions/langpack-$FOXLANG@firefox.mozilla.org
+done
+
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/firefox-$VERSION/defaults/pref
+cp -a $CWD/defaultlocale.js $PKG/usr/lib$LIBDIRSUFFIX/firefox-$VERSION/defaults/pref/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}
+
+# Cleanup
+cd $TMP
+rm -rf $PRGNAM-$VERSION $PKG
+

firefox_24.5_lang/mozilla-firefox-l10n.SlackBuild → firefox_24.6_lang/mozilla-firefox-l10n.SlackBuild~


+ 12 - 0
firefox_24.6_lang/slack-desc

@@ -0,0 +1,12 @@
+                    |-----handy-ruler------------------------------------------------------|
+mozilla-firefox-l10n: mozilla-firefox-l10n (Firefox translations)
+mozilla-firefox-l10n:
+mozilla-firefox-l10n: Language files for Mozilla Firefox.
+mozilla-firefox-l10n: 
+mozilla-firefox-l10n: 
+mozilla-firefox-l10n: 
+mozilla-firefox-l10n: 
+mozilla-firefox-l10n:
+mozilla-firefox-l10n: 
+mozilla-firefox-l10n:
+mozilla-firefox-l10n: Package created by jean-Pierre Antinoux <asso@rhumeurs.fr>

firefox_24.5_lang/slack-desc → firefox_24.6_lang/slack-desc~